TEMPLATE	= app
CONFIG		= qt thread dll release

HEADERS		= src/Action.h \
                  src/ActionManager.h \
                  src/BadNormalRemover.h \
                  src/BoxSelector.h \
                  src/ColorModifier.h \
                  src/cQuaternion.h \
                  src/Deletor.h \
                  src/Help.h \
                  src/LocalParticleSimulation.h \
                  src/MemChecker.h \
                  src/Metric.h \
                  src/MLSScatterer.h \
                  src/MovingLeastSquares.h \
                  src/MovingLeastSquaresSmoother.h \
                  src/my_defs.h \
                  src/MyComparators.h \
                  src/NewOverload.h \
                  src/OutlierClassificationDialogImpl.h \
                  src/OutlierClassificator.h \
                  src/PlaneFit.h \
                  src/RandomNoise.h \
                  src/ScanTools.h \
                  src/ScanToolsBoxColorDialogImpl.h \
                  src/ScanToolsConfigurationDialogImpl.h \
                  src/ScanToolsDialogImpl.h \
                  src/ScanToolsGlobals.h \
                  src/Selector.h \
                  src/SurfelResizer.h \
                  src/UndoRedoSpecialisations.h

SOURCES		= src/Action.cpp \
                  src/ActionManager.cpp \
                  src/BadNormalRemover.cpp \
                  src/BoxSelector.cpp \
                  src/ColorModifier.cpp \
                  src/cQuaternion.cpp \
                  src/Deletor.cpp \
                  src/Help.cpp \
                  src/LocalParticleSimulation.cpp \
                  src/MemChecker.cpp \
                  src/Metric.cpp \
                  src/MLSScatterer.cpp \
                  src/MovingLeastSquares.cpp \
                  src/MovingLeastSquaresSmoother.cpp \
                  src/OutlierClassificationDialogImpl.cpp \
                  src/OutlierClassificator.cpp \
                  src/PlaneFit.cpp \
                  src/RandomNoise.cpp \
                  src/ScanTools.cpp \
                  src/ScanToolsBoxColorDialogImpl.cpp \
                  src/ScanToolsConfigurationDialogImpl.cpp \
                  src/ScanToolsDialogImpl.cpp \
                  src/ScanToolsGlobals.cpp \
                  src/Selector.cpp \
                  src/SurfelResizer.cpp \
                  src/UndoRedoSpecialisations.cpp

INTERFACES	= UI/HelpWidget.ui \
                  UI/OutlierClassificationWindow.ui \
                  UI/ScanToolsBoxColorWidget.ui \
                  UI/ScanToolsConfigurationWidget.ui \
                  UI/ScanToolsWidget.ui

ALL_DEPS	= 

TARGET		= ScanTools

OBJECTS_DIR     = bin/linux/release

MOC_DIR		= bin/linux/release

DESTDIR		= ../../../../bin/linux/release/Tools

INCLUDEPATH     += ${GSLDIR}/include

unix:LIBS	+= -L../../../../bin/linux/release -lCore -lDataTypes -lUtilities
unix:LIBS	+= ../../../../bin/linux/release/Renderers/preview/OpenGLRenderer.so
